﻿
<!-- <script src="~/assets/plugins/jquery-validation/jquery.validate.min.js"></script>
<script src="~/assets/plugins/jquery-validation/additional-methods.min.js"></script> -->
<script src="~/assets/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js" type="text/javascript"></script>
<script src="~/assets/plugins/jquery-inputmask/jquery.input-ip-address-control-1.0.min.js" type="text/javascript"></script>
<script src="~/js/sweetalert.min.js"></script>


<script type="text/javascript">
    /*------------------Form Validation-----------------*/
    /*Example starter JavaScript for disabling form submissions if there are invalid fields*/
    window.addEventListener('load', function () {
        /* Thông tin tài khoản */
        var form_account = document.getElementsByClassName('form_account_validation');
        var validation = Array.prototype.filter.call(form_account, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Thông tin nhân viên */
        var form_employee = document.getElementsByClassName('form_employee_validation');
        var validation = Array.prototype.filter.call(form_employee, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Thông tin địa chỉ */
        var form_address = document.getElementsByClassName('form_address_validation');
        var validation = Array.prototype.filter.call(form_address, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Mũi 1 */
        var form_mui_1 = document.getElementsByClassName('form_mui_1_validation');
        var validation = Array.prototype.filter.call(form_mui_1, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

        /* Mũi 2*/
        var form_mui_2 = document.getElementsByClassName('form_mui_2_validation');
        var validation = Array.prototype.filter.call(form_mui_2, function (form) {
            form.addEventListener('submit', function (event) {
                if (form.checkValidity() === false) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add('was-validated');
            }, false);
        });

    }, false);

    function createCookie(name, value, days) {
        var expires;

        if (days) {
            var date = new Date();
            date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
            expires = "; expires=" + date.toGMTString();
        } else {
            expires = "";
        }
        document.cookie = encodeURIComponent(name) + "=" + encodeURIComponent(value) + expires + "; path=/";
    }

    function readCookie(name) {
        var nameEQ = encodeURIComponent(name) + "=";
        var ca = document.cookie.split(';');
        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) === ' ')
                c = c.substring(1, c.length);
            if (c.indexOf(nameEQ) === 0)
                return decodeURIComponent(c.substring(nameEQ.length, c.length));
        }
        return null;
    }

    function eraseCookie(name) {
        createCookie(name, "", -1);
    }
</script>


<script>
    $('#CMND').on('keypress', function (e) {
         if(e.which === 13){
             e.preventDefault();
         }
   });
    $('.btnLoadTheoCMND').click(function () {
        var CMND = $('#CMND').val();
        if (CMND != "" && CMND.length >= 8 && CMND.length <= 12) {
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetInfoStaff", "ThemNhanVien")',
                data: { CMND:CMND},
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    if (data == "true") {
                        swal({
                            title: "Thông báo",
                            text: "CMND đã tồn tại, bạn có muốn cập nhật lại thông tin?",
                            type: 'success',
                            confirmButtonColor: "#DD6B55",
                            confirmButtonText: "Đồng ý",
                            showCancelButton: true,
                            cancelButtonText: "Không",
                        },
                           function (isConfirm) {
                                if (isConfirm) {
                                    createCookie("CMND", CMND, 1);
                                    window.location.reload();
                                }
                            }
                        );
                    } else {
                       swal({
                            title: "Thông báo",
                            text: "CMND chưa tồn tại! Bạn có muốn tạo mới?",
                            type: 'success',
                            confirmButtonColor: "#DD6B55",
                            confirmButtonText: "Đồng ý",
                            showCancelButton: true,
                            cancelButtonText : "Không"
                        },
                           function (isConfirm) {
                                if (isConfirm) {
                                    createCookie("CMND", CMND, 1);
                                    window.location.reload();
                                }
                            }
                        );
                    }
                },
                error: function (e) {
                    swal({
                        title: "Lỗi cập nhật",
                        text: "Vui lòng thử lại hoặc liên hệ TISC",
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
                }
            });
        } else {
            swal({
                title: "CMT/CCCD không hợp lệ!",
                text: "Số CMT/CCCD (Loại 8/9/12 số)",
                type: 'error',
                showCancelButtonClass: 'OK'
            });
        }
    });
    $(document).ready(function () {

        $('#CMND').keyup(function (e) {
            if (e.keyCode == 13) {
                $('.btnLoadTheoCMND').click();
            }
        });
    });
</script>
